hmLoadTopic({
hmKeywords:".NET Core,.NET Framework,C,C Client Functions,Client,Client Functions,Client Sessions,COM Library,Common,CredentialsOptions,Dynamic,EntryPoint,EntryPoint licences,Execute,GetTable,GetVersion,ICONV,Java,Licence,Linkar,Linkar coding,LkProperties,LkSchemas,Login,Logout,Mono,New item (from client),OCONV,Persistent Session,Read item (from client),ResetCommonBlocks,RunSubroutine,Schemas,Select file (from client),SendCommand,subroutine,TCL (execute commands from client),try\/catch,Update (records fom client),Volatile",
hmTitle:"Client Functions",
hmDescription:"Two types of sessions are used from a client application to Linkar SERVER: Persistent and Volatile.",
hmPrevLink:"lk_installation.html",
hmNextLink:"lk_login.html",
hmParentLink:"index.html",
hmBreadCrumbs:"",
hmTitlePath:"Client Functions",
hmHeader:"<h1 class=\"p_Heading1\" style=\"page-break-after: avoid;\"><span class=\"f_Heading1\">Client Functions<\/span><\/h1>\n\r",
hmBody:"<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">Two types of sessions are used from a client application to Linkar SERVER: Persistent and Volatile.<\/p>\n\r<p style=\"margin: 0.9375rem 0 0 0;\"><span style=\"font-size: 1.82rem; font-family: \'Segoe UI Semibold\',Tahoma,Verdana,Arial,sans-serif;\">Functions Type<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_HeadingToggle_atocs_\"><span class=\"f_HeadingToggle_atocs_\">Persistent Functions<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 0.8125rem;\">Login\/Logout are only required for Persistent sessions with multiple transactions.<\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 0.8125rem;\">&nbsp;<\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 0.8125rem;\">Login is actually a &quot;virtual&quot; operation which creates a new Client Session ID. The DBMS is not called on Login. No DBMS login is performed unless Linkar SERVER determines new Database Sessions are required. These operations are not related.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_HowToBulleted\" style=\"text-indent: 0; padding-left: 0.9375rem; margin-left: 1.5000rem;\"><span class=\"f_HowToBulleted\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:0.9375rem;margin-left:-0.9375rem\">&#8226;<\/span><span class=\"f_HowToBulleted\">Login with a LinkarClient instance using a CredentialsOptions object (or string in C Libraries) to create and maintain a Client Session.<\/span><\/p><p class=\"p_HowToBulleted\" style=\"text-indent: 0; padding-left: 0.9375rem; margin-left: 1.5000rem;\"><span class=\"f_HowToBulleted\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:0.9375rem;margin-left:-0.9375rem\">&#8226;<\/span><span class=\"f_HowToBulleted\">Perform Persistent transactions using functions\/methods on the LinkarClient instance.<\/span><\/p><p class=\"p_HowToBulleted\" style=\"text-indent: 0; padding-left: 0.9375rem; margin-left: 1.5000rem;\"><span class=\"f_HowToBulleted\" style=\"font-family: Arial,\'Lucida Sans Unicode\',\'Lucida Grande\',\'Lucida Sans\';display:inline-block;width:0.9375rem;margin-left:-0.9375rem\">&#8226;<\/span><span class=\"f_HowToBulleted\">Logout when done with a Client Session. Again, no database operation is performed. This is only to close the Client Session.<\/span><\/p><p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_HeadingToggle_atocs_\"><span class=\"f_HeadingToggle_atocs_\">Volatile Client Functions<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 0.8125rem;\"><span class=\"f_HowToBulleted\">Used for direct and independent communication with the database. Its arguments contain the necessary information to identify the user before returning the required information.<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 0.8125rem;\">&nbsp;<\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 0.8125rem;\"><span class=\"f_HowToBulleted\">They are used for database access from public websites, for instance online shops.<\/span><\/p>\n\r<p class=\"p_HowToBulleted\"><span class=\"f_HowToBulleted\">&nbsp;<\/span><\/p>\n\r<p style=\"margin: 0.9375rem 0 0 0;\"><span style=\"font-size: 1.82rem; font-family: \'Segoe UI Semibold\',Tahoma,Verdana,Arial,sans-serif;\">Client Session<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"line-height: 1.44; margin: 0 0 0 0.8125rem;\">Linkar licencing is based on the concept of the Client Session. While a Login\/Logout session is in progress, a Linkar license is consumed. For this reason it is extremely important to keep these connections as short as possible. Individual volatile transactions consume a Linkar license only for the time during which the transaction is in progress and activity is being performed with the database.<\/p>\n\r<p class=\"p_Normal\" style=\"line-height: 1.44; margin: 0 0 0 0.8125rem;\">&nbsp;<\/p>\n\r<p class=\"p_Normal\" style=\"line-height: 1.44; margin: 0 0 0 0.8125rem;\">The purpose of Persistent functions, with the virtual Login\/Logout, is to eliminate the performance penalty of authentication which is incurred when processing CredentialsOptions. This process is called once for Login and not for every transaction in that session. With Volatile transactions, authentication is performed with each operation. All REST API and Linkar Web Services transactions are Volatile.<\/p>\n\r<p class=\"p_Normal\" style=\"line-height: 1.44; margin: 0 0 0 0.8125rem;\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">Be sure to use try\/catch\/finally blocks to capture failed Login operations and to handle failed Volatile transactions. For Persistent transactions, wrap try\/catch\/finally around code that defines an entire session, to ensure LinkarClt.Logout is executed after Login. If Logout is not executed after Login, Client Sessions in the server will not be disposed, resulting in Linkar license consumption until an inactivity timeout on the session occurs. When this happens use Linkar MANAGER and the Client Session page to close disconnected sessions.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 0 1.5000rem;\"><table style=\"width:100%; border:none; border-spacing:0;\">\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">Conversion<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Synchronously or asynchronously returns the result of executing the ICONV() or OCONV() functions of an expressions list in the database<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">Delete<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Synchronously or asynchronously deletes one or several records of a file<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">Dictionaries<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Synchronously or asynchronously returns all the dictionaries of a file <\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">Execute<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Synchronously or asynchronously allows the execution of any command in the database<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">Format<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Synchronously or asynchronously returns the result of executing the FMT function of an expressions list in the database<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">GetVersion<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Synchronously or asynchronously allows the Linkar Components Version and the EntryPoint parameters to be obtained<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">LkSchemas<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Synchronously or asynchronously returns a list of all the Schemas de-fined in Linkar Schemas or the EntryPoint account data files<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">LkProperties<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Synchronously or asynchronously returns the Schema properties list defined in Linkar Schemas<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">GetTable<\/span><\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\">&nbsp;<\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Synchronously or asynchronously returns the query result in a relational table format<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">Login<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_HowToBulleted\" style=\"margin: 0 0 0.6250rem 0.8125rem;\"><span class=\"f_HowToBulleted\">Starts the communication with a server, allowing it to use of the rest of functions until the Close method is executed or the connection with the server gets lost, synchronously or asynchronously<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">Logout<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Synchronously or asynchronously closes the communication with a server, which previously has been opened with a Login Function<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">New<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Synchronously or asynchronously creates one or several new file records<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">Read<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Synchronously or asynchronously reads one or several file records<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">ResetCommonBlocks<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Synchronously or asynchronously resets the COMMON variables with the 100 most used files<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">RunSubroutine<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Synchronously or asynchronously executes a subroutine<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">Select<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Synchronously or asynchronously executes a query in the database<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">SendCommand<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Synchronously or asynchronously allows different operations to be carried out, through a standard template in (XML and JSON).<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">Update<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Notes\"><span class=\"f_Notes\">Synchronously or asynchronously modifies one or several file records<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr>\n\r<td style=\"vertical-align:top; width:20%; padding:0; border:none\"><p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\"><span style=\"font-weight: bold;\">UpdatePartial<\/span><\/p>\n\r<\/td>\n\r<td style=\"vertical-align:top; padding:0; border:none\"><p class=\"p_Normal\"><span style=\"font-family: \'Segoe UI\',Tahoma,Verdana,Arial,sans-serif;\">Synchronously or asynchronously modifies one or more attributes of one or more file records<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\">&nbsp;<\/p>\n\r<p class=\"p_Normal\" style=\"margin: 0 0 0 1.5000rem;\">&nbsp;<\/p>\n\r"
})
