hmLoadTopic({
hmKeywords:"Asynchronous transactions,CredentialsOptions,DataFormatTYPE,ENVELOPE_FORMAT,GitHub,GitHub XML and JSON Templates,JSON,Linkar REST API,lksendcommand,LkSendCommandD,REST API,SendCommand,SUB.LK.MAIN.CONTROL.CUSTOM,synchronous transactions,templates,templates SendCommand,XML",
hmTitle:"SendCommand",
hmDescription:"SendCommand is a standard interface for a wide variety of operations, defined as standard XML or JSON requests.",
hmPrevLink:"lk_resetcommonblocks.html",
hmNextLink:"lk_mv_functions.html",
hmParentLink:"lk_client_functions.html",
hmBreadCrumbs:"<a href=\"lk_client_functions.html\">Client Functions<\/a>",
hmTitlePath:"Client Functions > SendCommand",
hmHeader:"<h1 class=\"p_Heading1\" style=\"page-break-after: avoid;\"><span class=\"f_Heading1\">SendCommand<\/span><\/h1>\n\r",
hmBody:"<h2 class=\"p_Heading2_atoc_\" style=\"page-break-after: avoid; border-top: none; border-right: none; border-left: none;\"><span class=\"f_Heading2_atoc_\">SendCommand is a standard interface for a wide variety of operations, defined as standard XML or JSON requests.<\/span><\/h2>\n\r<p class=\"p_Normal\">This one function can be used to perform all common CRUD requests, to execute TCL\/ECL commands, to run subroutines, and to format data. This is simply an alternative method to access a database, compared to using individual single-purpose client functions. For example, a desktop application might use the LinkarClt.SendCommand_Text static method to log a message into the database, or to do a quick retrieval of a name related to an ID. The lksendcommand.exe program uses this function to perform operations on remote MV databases.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">Among the parameters for this function (detailed below) is the <span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">commandFormat<\/span> parameter. This is set to an enumeration value to specify the format being used for the command string, either XML or JSON. The <span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">command<\/span> parameter is the request itself in the specified format.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">As an example of usage, to send an XML request to Execute the command &quot;<span style=\"font-weight: bold;\">COUNT fileName<\/span>&quot;, the SendCommand_Text parameter <span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">commandFormat<\/span> will be the enum value ENVELOPE_FORMAT.XML, and the <span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">command<\/span> payload will be as follows:<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">&lt;COMMAND&nbsp;NAME=&quot;EXECUTE&quot;&gt;<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span><span class=\"f_CodeExample\">&lt;STATEMENT&gt;<\/span><span class=\"f_CodeExample\" style=\"font-weight: bold;\">COUNT&nbsp;fileName<\/span><span class=\"f_CodeExample\">&lt;\/STATEMENT&gt;<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span><span class=\"f_CodeExample\">&lt;CUSTOM_VARS&gt;&lt;\/CUSTOM_VARS&gt;<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span><span class=\"f_CodeExample\">&lt;OUTPUT_FORMAT&gt;MV&lt;\/OUTPUT_FORMAT&gt;<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">&lt;\/COMMAND&gt;<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">If commandFormat is set to ENVELOPE_FORMAT.JSON, the <span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">command<\/span> value will be <\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">{&nbsp;&quot;NAME&quot;&nbsp;:&nbsp;&quot;EXECUTE&quot;,&nbsp;&quot;COMMAND&quot;&nbsp;:&nbsp;<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span><span class=\"f_CodeExample\">{&nbsp;<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_CodeExample\">&quot;STATEMENT&quot;&nbsp;:&nbsp;&quot;<\/span><span class=\"f_CodeExample\" style=\"font-weight: bold;\">COUNT&nbsp;fileName<\/span><span class=\"f_CodeExample\">&quot;&nbsp;,<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_CodeExample\">&quot;CUSTOM_VARS&quot;&nbsp;:&nbsp;&quot;&quot;&nbsp;,<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span> &nbsp; &nbsp; &nbsp; &nbsp;<span class=\"f_CodeExample\">&quot;OUTPUT_FORMAT&quot;&nbsp;:&nbsp;&quot;MV&quot;<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span style=\"width:3.0000rem;display:inline-block\">&nbsp;<\/span><span class=\"f_CodeExample\">}<\/span><\/p>\n\r<p class=\"p_CodeExample\"><span class=\"f_CodeExample\">}<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">The OUTPUT_FORMAT in the template specifies how the result of the operation is returned, and can be <span class=\"f_Notes\">MV, XML, XML_DICT, XML_SCH, JSON, JSON_DICT, JSON_SCH.<\/span><\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">If the output format is MV, Linkar will convert the response to Base64. This prevents MV-specific delimiter characters in the XML payload from corrupting the XML structure.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">XML and JSON Templates are available at GitHub: <span style=\"color: #ff0000;\"><a href=\"https:\/\/github.com\/kosday\/Resources\" target=\"_blank\" class=\"weblink\">https:\/\/github.com\/kosday\/Resources<\/a><\/span> to copy into code and modify.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">As always, white-space is ignored in XML and JSON, and is provided here only for readability.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">When using the Linkar REST API, the XML or JSON request payload also uses SendCommand Templates.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">As with other Client Functions, SendCommand can be executed in a Client Session after Login, or using credentialsOptions, for a Direct\/Volatile operation.<\/p>\n\r<p class=\"p_Normal\">Transactions can also be processed synchronously or asynchronously.<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<div style=\"text-align: left; text-indent: 0; padding: 0 0 0 0; margin: 0 0 0 0;\"><table class=\"argumentos\" >\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\">* command<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif;\">string<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\"><p class=\"p_Notes\"><span class=\"f_Notes\">Content of the operation to send<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\"> commandFormat<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><br \/>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\">Indicates the format the operation : XML or JSON<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\"> customVars<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-family: \'Times New Roman\',Times,Georgia,serif;\">string<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%;\"><p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\"><p class=\"p_Notes\"><span class=\"f_Notes\">This is a free text field to send in the transaction. If not empty, subroutine SUB.LK.MAIN.CONTROL.CUSTOM will be called. Add custom code to that subroutine to define special behaviours for some or all transactions.<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<tr class=\"argumentos\">\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-size: 1.09rem; font-family: \'Times New Roman\',Times,Georgia,serif; font-style: italic;\"> receiveTimeout<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-family: \'Times New Roman\',Times,Georgia,serif;\">Numeric<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"width:15%; background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-family: \'Times New Roman\',Times,Georgia,serif;\">-1<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\" style=\"font-family: \'Times New Roman\',Times,Georgia,serif;\">0<\/span><\/p>\n\r<p class=\"p_Notes\"><span class=\"f_Notes\">&nbsp;<\/span><\/p>\n\r<\/td>\n\r<td class=\"argumentos\" style=\"background-color:#CCFFFF;\"><p class=\"p_Notes\"><span class=\"f_Notes\">This is the maximum time in seconds that the client will wait for a response. Use 0 for no timeout. This is a function-specific override : -1 in a Persistent function defaults back to the timeout defined in the LinkarClt constructor.<\/span><\/p>\n\r<\/td>\n\r<\/tr>\n\r<\/table>\n\r<\/div>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r<p class=\"p_Normal\">&nbsp;<\/p>\n\r"
})
